Holger's Java API

## com.antelmann.util.gui
Class JFileFieldBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.antelmann.util.gui.JFileFieldBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class JFileFieldBeanInfo

extends SimpleBeanInfo

Since:
  20. August 2007, 23:26
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JFileFieldBeanInfo()`

Method Summary
`Image` `getIcon(int iconKind)`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFileFieldBeanInfo

    public JFileFieldBeanInfo()

Method Detail

### getIcon

    public Image getIcon(int iconKind)

  Specified by:
    `getIcon` in interface `BeanInfo`
  Overrides:
    `getIcon` in class `SimpleBeanInfo`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads